> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update record

> Update a single row. Body: { modelUuid, id, data }; data is merged then id is set under the model id column slug.



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /storage/records/update
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/records/update:
    put:
      tags:
        - Storage - Records
      summary: Update record
      description: >-
        Update a single row. Body: { modelUuid, id, data }; data is merged then
        id is set under the model id column slug.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                modelUuid:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                  title: Model UUID
                  description: Target model.
                id:
                  type: string
                  minLength: 1
                  title: Record ID
                  description: >-
                    Record identifier; merged into the payload under the model
                    id column slug (overrides the same key in data).
                data:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  title: Record data
                  description: Fields to update for the row.
              required:
                - modelUuid
                - id
                - data
              additionalProperties: false
              title: Update record body
              description: >-
                Shape: { modelUuid, id, data }. data is merged then id is
                applied under the model id column slug.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  record:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                    title: Record
                    description: Updated record as returned by storage.
                required:
                  - record
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````